org.crosswire.jsword.passage

## Class VerseRange.VerseIterator

- java.lang.Object
- - org.crosswire.jsword.passage.VerseRange.VerseIterator

- All Implemented Interfaces:
    Iterator<Key>
  Enclosing class:
    VerseRange

      private static final class VerseRange.VerseIterator
      extends Object
      implements Iterator<Key>

  Iterate over the Verses in the VerseRange

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `count`
    `private Verse` | `nextVerse`
    `private int` | `total`
    `private Versification` | `v11n`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VerseRange.VerseIterator(VerseRange range)` Ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `Key` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### v11n

          private Versification v11n

    - #### nextVerse

          private Verse nextVerse

    - #### count

          private int count

    - #### total

          private int total

  - ### Constructor Detail

    - #### VerseRange.VerseIterator

          protected VerseRange.VerseIterator(VerseRange range)

      Ctor

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<Key>`

    - #### next

          public Key next()
                   throws NoSuchElementException

      Specified by:
        `next` in interface `Iterator<Key>`
      Throws:
        `NoSuchElementException`

    - #### remove

          public void remove()
                      throws UnsupportedOperationException

      Specified by:
        `remove` in interface `Iterator<Key>`
      Throws:
        `UnsupportedOperationException`